spaceworld 发表于 2012-7-9 08:54:09

如何增加虚拟主机模板,及如何切换php版本

在使用kangle过程中,能否使用自已配置的版本,并且增加一个虚拟主机模板来绑定到该PHP版本,答案是可以的。下面将演示一下如何增加PHP版本及增加虚拟主机模板。
1.首先,进入kangle的3311管理。http://ip:3311/,点击 扩展=>命令.(以命令扩展为例),将自已安装的PHP其他版本添加进来,如下图:







增加时的各项参数,可自行按情况配置。上图中,已增加一个PHP53的PHP版本。接下来增加一个PHP模板。
点击 虚拟主机=>虚拟主机模板=>新增虚拟主机模板,如下图:







添加后,再来修改该模板的其他设置,比如,扩展和默认页面,如下图:



给模版添加扩展时,文件扩展名写php,扩展则选择刚刚添加的自定义PHP53版本。



添加完扩展后,再来添加默认文件,如下图:



到此,模板添加完成。如对此模板的其他参数需要进行修改,可点击该虚拟主机模板重新进行修改。
模板添加完成后,在easypanel的创建网站时,语言模板下拉列表中就会显示该新增的模板,如下图:



有了新模板后,创建网站时,可按客户需求选择PHP的版本。

苏门答腊 发表于 2012-7-11 10:08:52

谢谢楼主的精彩分享

小樱 发表于 2012-7-23 20:00:40

         看不懂,XD,已经出了5.3EXE安装了,去试试

alian 发表于 2012-8-16 08:18:47

搞得这么麻烦。

starry360 发表于 2013-1-10 13:47:10

请问增加PHP53时,环境变量是填写的什么?请除截图外,直接发上文字信息才能复制。谢谢。

浩运金 发表于 2013-2-21 10:53:53

环境变量怎么填

xsgysxy 发表于 2013-8-6 07:45:09

按照这个方法添加后 选择 php53 网站显示504错误

268 发表于 2013-8-21 00:54:29

您好, 我在学习ep时,也想用php5.4,依照你这个教程,发现kangle web 2.2根本没有模板这个选项啊

烦请指导下?

heyzzx 发表于 2014-1-8 23:22:55

xsgysxy 发表于 2013-8-6 07:45
按照这个方法添加后 选择 php53 网站显示504错误

一样 504错误

heyzzx 发表于 2014-1-8 23:26:57

本帖最后由 heyzzx 于 2014-1-8 23:28 编辑

按你说的设置后 无论哪个插件都会出现504错误~
虚拟主机模板也已经找不到按钮了,不过还是让细心的我发现了

我怀疑是第一步 扩展=>命令 这里出错的,
你这个协议是选http还是跟随5.2的选fastcgi
比如5.3版本,我这样填入文件和变量的
"D:\Program Files\Bangteng\kangle\ext\php-nts\php\php-cgi.exe"
PHPRC="D:\Program Files\Bangteng\kangle\ext\php-nts\php\php.ini"
应该就是在这里出错的,请检查!
页: [1] 2 3
查看完整版本: 如何增加虚拟主机模板,及如何切换php版本